// creator  : weidu.exe (version 23100)
// argument : _DINK.DLG
// game		 : .
// source	 : ./override/_DINK.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DINK~

IF ~NumberOfTimesTalkedTo(0)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 0 // from:
  SAY #77351 /* ~A visitor! Oh glorious day. We don't get many down here as you can imagine. Are you going to be going down into the mines? If so could you return this dagger to Kylee? He dropped it when he went into the mine the other day and haven't seen him since.~ */
  IF ~~ THEN REPLY #77352 /* ~Sure, I'll return his dagger.~ */ GOTO 1
  IF ~~ THEN REPLY #77353 /* ~Sorry, I've got more important things to do.~ */ GOTO 2
  IF ~Global("X#KagainDink","GLOBAL",0)
InParty("kagain")
InMyArea("kagain")
!StateCheck("kagain",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KagainDink","GLOBAL",1)~ EXTERN ~_KAGAIJ~ 25
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #77354 /* ~Thank you so much. I'm sure he'll appreciate it.~ */
  IF ~~ THEN DO ~GiveItem("_DAGG07",LastTalkedToBy)
EscapeArea()
~ UNSOLVED_JOURNAL #77355 /* ~Kylee's dagger

I am to return a dagger to Kylee, a miner in the lower levels of the Nashkel mine.~ */ EXIT
  IF ~Global("X#KivanDink","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KivanDink","GLOBAL",1)~ EXTERN ~_KIVANJ~ 202
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #77356 /* ~Well, that's fine.  Being an adventurer and all, you probably don't have the time to waste.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~!NumberOfTimesTalkedTo(0)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 3 // from:
  SAY #77357 /* ~Hey there again, I hope everything's gone fine for ya.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #74685 /* ~Leave us be, there is much work to be done.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #98898 /* ~He'll thank you for it, I'm sure.~ */
  IF ~~ THEN DO ~GiveItem("_DAGG07",LastTalkedToBy)
EscapeArea()
~ UNSOLVED_JOURNAL #77355 /* ~Kylee's dagger

I am to return a dagger to Kylee, a miner in the lower levels of the Nashkel mine.~ */ EXIT
END
